Jifty::Plugin::User::Mixin::Model::User(3)

NAME
Jifty::Plugin::User::Mixin::Model::User - user model base mixin

SYNOPSIS
 package MyApp::Model::User;
 use Jifty::DBI::Schema;
 use MyApp::Record schema {
     # column definitions
 };

 # Import columns: name, email and email_confirmed
 use Jifty::Plugin::User::Mixin::Model::User;

DESCRIPTION
This mixin may be added to a model to give your user accounts a name and an email address. This module may be used as the basic building block for building account models in your application. It can be combined with mixins from an authentication plugin to create an object suitable for a given authentication mechanism.

SCHEMA
This mixin model adds the following columns to the model.

  name
This is the username/nickname for the user of the account.

  email
This is the email address of the account. It is intended as a bare minimum confirmation of identity and for communication of password resets and other account information.

  email_confirmed
This is a flag indicating whether the user has confirmed ownership of the given email address.

METHODS

  set_email ADDRESS
Whenever a user's email is set to a new value, we need to make sure they reconfirm it.

  validate_email
Makes sure that the email address looks like an email address and is not taken.

SEE ALSO
Jifty::Plugin::Authentication::Password, Jifty::Plugin::Authentication::Password::Mixin::Model::User

LICENSE
Jifty is Copyright 2005-2010 Best Practical Solutions, LLC. Jifty is distributed under the same terms as Perl itself.